### Signal

# GtkSource VimIMContext::format-text

since: 5.4

#### Declaration

    void
    format_text (
      GtkSourceVimIMContext* self,
      const GtkTextIter* begin,
      const GtkTextIter* end,
      gpointer user_data
    )

#### Description [src]

Requests that the application format the text between `begin` and `end`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 5.4

#### Parameters

`begin`

  Type: `GtkTextIter`

  The start location.

  The data is owned by the caller of the function.

`end`

  Type: `GtkTextIter`

  The end location.

  The data is owned by the caller of the function.